using Movement;
using UnityEngine;

namespace Platforms
{
    public class MovingPlatform : MonoBehaviour, IMovement
    {
        // PAUSING METHODS
        
        public bool IsPaused { get; }
        public void Pause()
        {
            throw new System.NotImplementedException();
        }

        public void Resume()
        {
            throw new System.NotImplementedException();
        }
        
        // MOVEMENT METHODS

        public float BaseSpeed { get; set; }
        public void Move(float value)
        {
            throw new System.NotImplementedException();
        }
    }
}
